goop(6)

NAME
goop - squishy transparent oil and bubble screenhack

SYNOPSIS
goop [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-transparent] [-non-transparent] [-additive] [-subtractive] [-xor] [-no-xor] [-fps]

DESCRIPTION
The goop program draws a simulation of bubbles in layers of overlapping multicolored translucent fluid.

OPTIONS
goop accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-count integer
    How many bubbles to draw per layer. Default: random.

-planes integer
    How many planes to draw. Default: random, based on screen depth.

-delay microseconds
    How much of a delay should be introduced between steps of the animation. Default 12000, or about 0.012 seconds.

-transparent
    If -layers is greater than 1, then each layer will be drawn in one color, and when they overlap, the colors will be mixed. This is the default.

-non-transparent
    Turns off -transparent.

-additive
    If -transparent is specified, then this option means that the colors will be mixed using an additive color model, as if the blobs were projected light. This is the default.

-subtractive
    If -transparent is specified, then this option means that the colors will be mixed using a subtractive color model, as if the blobs were translucent filters.

-xor
    Draw with xor instead of the other color tricks.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1997 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 11-Jun-97.